function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly && (symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    })), keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = null != arguments[i] ? arguments[i] : {};
    i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
      _defineProperty(target, key, source[key]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
      Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
    });
  }

  return target;
}

function _typeof(obj) {
  "@babel/helpers - typeof";

  return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
    return typeof obj;
  } : function (obj) {
    return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
  }, _typeof(obj);
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function run(fn) {
    return fn();
}
function blank_object() {
    return Object.create(null);
}
function run_all(fns) {
    fns.forEach(run);
}

let current_component;
function set_current_component(component) {
    current_component = component;
}
function get_current_component() {
    if (!current_component)
        throw new Error('Function called outside component initialization');
    return current_component;
}
function onMount(fn) {
    get_current_component().$$.on_mount.push(fn);
}
function onDestroy(fn) {
    get_current_component().$$.on_destroy.push(fn);
}
Promise.resolve();
const ATTR_REGEX = /[&"]/g;
const CONTENT_REGEX = /[&<]/g;
/**
 * Note: this method is performance sensitive and has been optimized
 * https://github.com/sveltejs/svelte/pull/5701
 */
function escape(value, is_attr = false) {
    const str = String(value);
    const pattern = is_attr ? ATTR_REGEX : CONTENT_REGEX;
    pattern.lastIndex = 0;
    let escaped = '';
    let last = 0;
    while (pattern.test(str)) {
        const i = pattern.lastIndex - 1;
        const ch = str[i];
        escaped += str.substring(last, i) + (ch === '&' ? '&amp;' : (ch === '"' ? '&quot;' : '&lt;'));
        last = i + 1;
    }
    return escaped + str.substring(last);
}
let on_destroy;
function create_ssr_component(fn) {
    function $$render(result, props, bindings, slots, context) {
        const parent_component = current_component;
        const $$ = {
            on_destroy,
            context: new Map(context || (parent_component ? parent_component.$$.context : [])),
            // these will be immediately discarded
            on_mount: [],
            before_update: [],
            after_update: [],
            callbacks: blank_object()
        };
        set_current_component({ $$ });
        const html = fn(result, props, bindings, slots);
        set_current_component(parent_component);
        return html;
    }
    return {
        render: (props = {}, { $$slots = {}, context = new Map() } = {}) => {
            on_destroy = [];
            const result = { title: '', head: '', css: new Set() };
            const html = $$render(result, props, {}, $$slots, context);
            run_all(on_destroy);
            return {
                html,
                css: {
                    code: Array.from(result.css).map(css => css.code).join('\n'),
                    map: null // TODO
                },
                head: result.title + result.head
            };
        },
        $$render
    };
}
function add_attribute(name, value, boolean) {
    if (value == null || (boolean && !value))
        return '';
    const assignment = (boolean && value === true) ? '' : `="${escape(value, true)}"`;
    return ` ${name}${assignment}`;
}

var isInViewport = function isInViewport(element) {
  var rect = element.getBoundingClientRect();
  return rect.top >= 0 && rect.left >= 0 && rect.bottom <= (window.innerHeight || document.documentElement.clientHeight) && rect.right <= (window.innerWidth || document.documentElement.clientWidth);
};

var inverse = {
  left: 'right',
  right: 'left',
  top: 'bottom',
  bottom: 'top'
};

var css$1 = {
  code: ":root{--tooltip-background-color:rgba(0, 0, 0, 0.9);--tooltip-border-radius:4px;--tooltip-box-shadow:0 1px 20px rgba(0, 0, 0, 0.25);--tooltip-font-family:-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell,\n      'Helvetica Neue', sans-serif;--tooltip-font-size:14px;--tooltip-font-weight:500;--tooltip-line-height:1.25rem;--tooltip-color:#fff;--tooltip-offset-x:0px;--tooltip-offset-y:0px;--tooltip-padding:12px;--tooltip-z-index:100;--tooltip-arrow-size:10px}.tooltip-container.svelte-fhw54d{position:relative}.tooltip.svelte-fhw54d{background-color:var(--tooltip-background-color);box-shadow:var(--tooltip-box-shadow);border-radius:var(--tooltip-border-radius);color:var(--tooltip-color);opacity:0;font-family:var(--tooltip-font-family);font-size:var(--tooltip-font-size);font-style:normal;font-weight:var(--tooltip-font-weight);line-height:var(--tooltip-line-height);padding:var(--tooltip-padding);position:absolute;text-align:left;visibility:hidden;white-space:nowrap;z-index:var(--tooltip-z-index)}.tooltip.show.svelte-fhw54d{opacity:1;visibility:visible;white-space:normal}.tooltip.bottom.svelte-fhw54d:after,.tooltip.left.svelte-fhw54d:after,.tooltip.right.svelte-fhw54d:after,.tooltip.top.svelte-fhw54d:after{border:var(--tooltip-arrow-size) solid var(--tooltip-background-color);content:' ';position:absolute}.tooltip.arrowless.svelte-fhw54d:after{border:0 !important}.tooltip.bottom.svelte-fhw54d,.tooltip.top.svelte-fhw54d{--tooltip-offset-x:0px;--tooltip-offset-y:12px}.tooltip.left.svelte-fhw54d,.tooltip.right.svelte-fhw54d{--tooltip-offset-x:12px;--tooltip-offset-y:0px}.tooltip.bottom.svelte-fhw54d{bottom:0;left:50%;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    )}.tooltip.bottom.svelte-fhw54d:after{border-color:transparent transparent var(--tooltip-background-color);left:50%;top:0;transform:translate(-50%, -99%)}.tooltip.top.svelte-fhw54d{left:50%;top:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    )}.tooltip.top.svelte-fhw54d:after{border-color:var(--tooltip-background-color) transparent transparent transparent;bottom:0;left:50%;transform:translate(-50%, 99%)}.tooltip.left.svelte-fhw54d{left:0;top:50%;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    )}.tooltip.left.svelte-fhw54d:after{border-color:transparent transparent transparent var(--tooltip-background-color);right:0;top:50%;transform:translate(99%, -50%)}.tooltip.right.svelte-fhw54d{right:0;top:50%;transform:translate(\n      calc(100% + var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    )}.tooltip.right.svelte-fhw54d:after{border-color:transparent var(--tooltip-background-color) transparent transparent;left:0;top:50%;transform:translate(-99%, -50%)}.tooltip.animation-fade.svelte-fhw54d{opacity:0;transition:opacity 0.25s ease-in-out}.tooltip.animation-fade.show.svelte-fhw54d{opacity:1}.tooltip.top.animation-slide.svelte-fhw54d{margin-top:10px;opacity:0;transition:opacity 0.25s ease-in-out, margin 0.25s ease-in-out}.tooltip.top.animation-slide.show.svelte-fhw54d{margin-top:0;opacity:1}.tooltip.bottom.animation-slide.svelte-fhw54d{margin-bottom:20px;opacity:0;transition:opacity 0.25s ease-in-out, margin 0.25s ease-in-out}.tooltip.bottom.animation-slide.show.svelte-fhw54d{margin-bottom:0;opacity:1}.tooltip.right.animation-slide.svelte-fhw54d{margin-right:20px;opacity:0;transition:opacity 0.25s ease-in-out, margin 0.25s ease-in-out}.tooltip.right.animation-slide.show.svelte-fhw54d{margin-right:0;opacity:1}.tooltip.left.animation-slide.svelte-fhw54d{margin-left:20px;opacity:0;transition:opacity 0.25s ease-in-out, margin 0.25s ease-in-out}.tooltip.left.animation-slide.show.svelte-fhw54d{margin-left:0;opacity:1}.tooltip.left.animation-puff.svelte-fhw54d{filter:blur(2px);opacity:0;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    ) scale(2, 2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out}.tooltip.left.animation-puff.show.svelte-fhw54d{filter:blur(0);opacity:1;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.right.animation-puff.svelte-fhw54d{filter:blur(2px);opacity:0;transform:translate(\n      calc(100% + var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    ) scale(2, 2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out}.tooltip.right.animation-puff.show.svelte-fhw54d{filter:blur(0);opacity:1;transform:translate(\n      calc(100% + var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.top.animation-puff.svelte-fhw54d{filter:blur(2px);opacity:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    ) scale(2, 2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out}.tooltip.top.animation-puff.show.svelte-fhw54d{filter:blur(0);opacity:1;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.bottom.animation-puff.svelte-fhw54d{filter:blur(2px);opacity:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    ) scale(2, 2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out}.tooltip.bottom.animation-puff.show.svelte-fhw54d{filter:blur(0);opacity:1;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.left.animation-bounce.svelte-fhw54d{opacity:0;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% + var(--tooltip-offset-y))\n    ) scale(1.2, 1.2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3)}.tooltip.left.animation-bounce.show.svelte-fhw54d{opacity:1;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% + var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.right.animation-bounce.svelte-fhw54d{opacity:0;transform:translate(calc(100% + var(--tooltip-offset-x)), calc(-50% + var(--tooltip-offset-y))) scale(1.2, 1.2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3)}.tooltip.right.animation-bounce.show.svelte-fhw54d{opacity:1;transform:translate(\n      calc(100% + var(--tooltip-offset-x)),\n      calc(-50% + var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.top.animation-bounce.svelte-fhw54d{opacity:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    ) scale(1.2, 1.2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3)}.tooltip.top.animation-bounce.show.svelte-fhw54d{opacity:1;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.bottom.animation-bounce.svelte-fhw54d{opacity:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    ) scale(1.2, 1.2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3)}.tooltip.bottom.animation-bounce.show.svelte-fhw54d{opacity:1;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    ) scale(1, 1)}",
  map: "{\"version\":3,\"file\":\"tooltip.svelte\",\"sources\":[\"tooltip.svelte\"],\"sourcesContent\":[\"<script>\\n  import { onMount, onDestroy } from 'svelte';\\n  import { formatVariableKey, getMinWidth, isInViewport } from './helpers';\\n  import { inverse } from './constants';\\n\\n  export let content = '';\\n  export let align = 'left';\\n  export let position = 'top';\\n  export let maxWidth = 200;\\n  export let style = null;\\n  export let theme = '';\\n  export let animation = '';\\n  export let arrow = true;\\n  export let autoPosition = false;\\n\\n  let containerRef = null;\\n  let tooltipRef = null;\\n  let minWidth = 0;\\n  let component = null;\\n  let initialPosition = position;\\n  let animationEffect = null;\\n  let show = false;\\n  let timer = null;\\n\\n  const onMouseEnter = () => {\\n    const delay = animation ? 200 : 0;\\n\\n    if (autoPosition && !isInViewport(tooltipRef)) {\\n      position = inverse[position];\\n    }\\n\\n    if (animation) {\\n      animationEffect = animation;\\n    }\\n\\n    timer = setTimeout(() => (show = true), delay);\\n  };\\n\\n  const onMouseLeave = () => {\\n    show = false;\\n    position = initialPosition;\\n    animationEffect = null;\\n\\n    if (timer) {\\n      clearTimeout(timer);\\n      timer = null;\\n    }\\n  };\\n\\n  onMount(() => {\\n    if (containerRef !== null) {\\n      containerRef.addEventListener('mouseenter', onMouseEnter);\\n      containerRef.addEventListener('mouseleave', onMouseLeave);\\n    }\\n\\n    if (tooltipRef !== null) {\\n      if (isComponent && !component) {\\n        component = new content.component({\\n          target: tooltipRef,\\n          props: content.props\\n        });\\n      }\\n\\n      minWidth = getMinWidth(tooltipRef, maxWidth);\\n\\n      if (style && typeof style === 'object') {\\n        for (let prop in style) {\\n          const key = formatVariableKey(prop);\\n          const value = style[prop];\\n\\n          tooltipRef.style.setProperty(`--tooltip-${key}`, value);\\n        }\\n      }\\n    }\\n  });\\n\\n  onDestroy(() => {\\n    if (component) {\\n      component.$destroy();\\n      component = null;\\n    }\\n\\n    if (containerRef !== null) {\\n      containerRef.removeEventListener('mouseenter', onMouseEnter);\\n      containerRef.removeEventListener('mouseleave', onMouseLeave);\\n    }\\n  });\\n\\n  $: isComponent = typeof content === 'object';\\n</script>\\n\\n{#if content}\\n  <span bind:this={containerRef} class=\\\"tooltip-container\\\">\\n    <slot />\\n      <div\\n        bind:this={tooltipRef}\\n        class=\\\"tooltip animation-{animationEffect} {position} {theme}\\\"\\n        class:arrowless={!arrow}\\n        class:show\\n        style=\\\"min-width: {minWidth}px; max-width: {maxWidth}px; text-align: {align};\\\"\\n      >\\n        {#if !isComponent}\\n          {@html content}\\n        {/if}\\n      </div>\\n    </span>\\n{:else}\\n  <slot />\\n{/if}\\n\\n<style>\\n  /*--------------------------*\\n   * Theme Variables\\n   *--------------------------*/\\n\\n  :root {\\n    --tooltip-background-color: rgba(0, 0, 0, 0.9);\\n    --tooltip-border-radius: 4px;\\n    --tooltip-box-shadow: 0 1px 20px rgba(0, 0, 0, 0.25);\\n    --tooltip-font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell,\\n      'Helvetica Neue', sans-serif;\\n    --tooltip-font-size: 14px;\\n    --tooltip-font-weight: 500;\\n    --tooltip-line-height: 1.25rem;\\n    --tooltip-color: #fff;\\n    --tooltip-offset-x: 0px;\\n    --tooltip-offset-y: 0px;\\n    --tooltip-padding: 12px;\\n    --tooltip-z-index: 100;\\n    --tooltip-arrow-size: 10px;\\n  }\\n\\n  /*--------------------------*\\n   * Tooltip Styling\\n   *--------------------------*/\\n\\n  .tooltip-container {\\n    position: relative;\\n  }\\n\\n  .tooltip {\\n    background-color: var(--tooltip-background-color);\\n    box-shadow: var(--tooltip-box-shadow);\\n    border-radius: var(--tooltip-border-radius);\\n    color: var(--tooltip-color);\\n    opacity: 0;\\n    font-family: var(--tooltip-font-family);\\n    font-size: var(--tooltip-font-size);\\n    font-style: normal;\\n    font-weight: var(--tooltip-font-weight);\\n    line-height: var(--tooltip-line-height);\\n    padding: var(--tooltip-padding);\\n    position: absolute;\\n    text-align: left;\\n    visibility: hidden;\\n    white-space: nowrap;\\n    z-index: var(--tooltip-z-index);\\n  }\\n\\n  .tooltip.show {\\n    opacity: 1;\\n    visibility: visible;\\n    white-space: normal;\\n  }\\n\\n  .tooltip.bottom:after,\\n  .tooltip.left:after,\\n  .tooltip.right:after,\\n  .tooltip.top:after {\\n    border: var(--tooltip-arrow-size) solid var(--tooltip-background-color);\\n    content: ' ';\\n    position: absolute;\\n  }\\n\\n  .tooltip.arrowless:after {\\n    border: 0 !important;\\n  }\\n\\n .tooltip.bottom,\\n  .tooltip.top {\\n    --tooltip-offset-x: 0px;\\n    --tooltip-offset-y: 12px;\\n  }\\n\\n  .tooltip.left,\\n  .tooltip.right {\\n    --tooltip-offset-x: 12px;\\n    --tooltip-offset-y: 0px;\\n  }\\n\\n  .tooltip.bottom {\\n    bottom: 0;\\n    left: 50%;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    );\\n  }\\n\\n  .tooltip.bottom:after {\\n    border-color: transparent transparent var(--tooltip-background-color);\\n    left: 50%;\\n    top: 0;\\n    transform: translate(-50%, -99%);\\n  }\\n\\n  .tooltip.top {\\n    left: 50%;\\n    top: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    );\\n  }\\n\\n  .tooltip.top:after {\\n    border-color: var(--tooltip-background-color) transparent transparent transparent;\\n    bottom: 0;\\n    left: 50%;\\n    transform: translate(-50%, 99%);\\n  }\\n\\n  .tooltip.left {\\n    left: 0;\\n    top: 50%;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    );\\n  }\\n\\n  .tooltip.left:after {\\n    border-color: transparent transparent transparent var(--tooltip-background-color);\\n    right: 0;\\n    top: 50%;\\n    transform: translate(99%, -50%);\\n  }\\n\\n  .tooltip.right {\\n    right: 0;\\n    top: 50%;\\n    transform: translate(\\n      calc(100% + var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    );\\n  }\\n\\n  .tooltip.right:after {\\n    border-color: transparent var(--tooltip-background-color) transparent transparent;\\n    left: 0;\\n    top: 50%;\\n    transform: translate(-99%, -50%);\\n  }\\n\\n  /*--------------------------*\\n   * CSS Animations\\n   *--------------------------*/\\n\\n  /* Fade */\\n\\n  .tooltip.animation-fade {\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.animation-fade.show {\\n    opacity: 1;\\n  }\\n\\n  /* Slide */\\n\\n  .tooltip.top.animation-slide {\\n    margin-top: 10px;\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out, margin 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.top.animation-slide.show {\\n    margin-top: 0;\\n    opacity: 1;\\n  }\\n\\n  .tooltip.bottom.animation-slide {\\n    margin-bottom: 20px;\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out, margin 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.bottom.animation-slide.show {\\n    margin-bottom: 0;\\n    opacity: 1;\\n  }\\n\\n  .tooltip.right.animation-slide {\\n    margin-right: 20px;\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out, margin 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.right.animation-slide.show {\\n    margin-right: 0;\\n    opacity: 1;\\n  }\\n\\n  .tooltip.left.animation-slide {\\n    margin-left: 20px;\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out, margin 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.left.animation-slide.show {\\n    margin-left: 0;\\n    opacity: 1;\\n  }\\n\\n  /* Puff */\\n\\n  .tooltip.left.animation-puff {\\n    filter: blur(2px);\\n    opacity: 0;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    ) scale(2, 2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.left.animation-puff.show {\\n    filter: blur(0);\\n    opacity: 1;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.right.animation-puff {\\n    filter: blur(2px);\\n    opacity: 0;\\n    transform: translate(\\n      calc(100% + var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    ) scale(2, 2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.right.animation-puff.show {\\n    filter: blur(0);\\n    opacity: 1;\\n    transform: translate(\\n      calc(100% + var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.top.animation-puff {\\n    filter: blur(2px);\\n    opacity: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    ) scale(2, 2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.top.animation-puff.show {\\n    filter: blur(0);\\n    opacity: 1;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.bottom.animation-puff {\\n    filter: blur(2px);\\n    opacity: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    ) scale(2, 2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.bottom.animation-puff.show {\\n    filter: blur(0);\\n    opacity: 1;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  /* Bounce */\\n\\n  .tooltip.left.animation-bounce {\\n    opacity: 0;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% + var(--tooltip-offset-y))\\n    ) scale(1.2, 1.2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3);\\n  }\\n\\n  .tooltip.left.animation-bounce.show {\\n    opacity: 1;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% + var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.right.animation-bounce {\\n    opacity: 0;\\n    transform: translate(calc(100% + var(--tooltip-offset-x)), calc(-50% + var(--tooltip-offset-y))) scale(1.2, 1.2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3);\\n  }\\n\\n  .tooltip.right.animation-bounce.show {\\n    opacity: 1;\\n    transform: translate(\\n      calc(100% + var(--tooltip-offset-x)),\\n      calc(-50% + var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.top.animation-bounce {\\n    opacity: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    ) scale(1.2, 1.2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3);\\n  }\\n\\n  .tooltip.top.animation-bounce.show {\\n    opacity: 1;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.bottom.animation-bounce {\\n    opacity: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    ) scale(1.2, 1.2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3);\\n  }\\n\\n  .tooltip.bottom.animation-bounce.show {\\n    opacity: 1;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n</style>\\n\"],\"names\":[],\"mappings\":\"AAmHE,KAAK,AAAC,CAAC,AACL,0BAA0B,CAAE,kBAAkB,CAC9C,uBAAuB,CAAE,GAAG,CAC5B,oBAAoB,CAAE,8BAA8B,CACpD,qBAAqB,CAAE;kCACO,CAC9B,mBAAmB,CAAE,IAAI,CACzB,qBAAqB,CAAE,GAAG,CAC1B,qBAAqB,CAAE,OAAO,CAC9B,eAAe,CAAE,IAAI,CACrB,kBAAkB,CAAE,GAAG,CACvB,kBAAkB,CAAE,GAAG,CACvB,iBAAiB,CAAE,IAAI,CACvB,iBAAiB,CAAE,GAAG,CACtB,oBAAoB,CAAE,IAAI,AAC5B,CAAC,AAMD,kBAAkB,cAAC,CAAC,AAClB,QAAQ,CAAE,QAAQ,AACpB,CAAC,AAED,QAAQ,cAAC,CAAC,AACR,gBAAgB,CAAE,IAAI,0BAA0B,CAAC,CACjD,UAAU,CAAE,IAAI,oBAAoB,CAAC,CACrC,aAAa,CAAE,IAAI,uBAAuB,CAAC,CAC3C,KAAK,CAAE,IAAI,eAAe,CAAC,CAC3B,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,IAAI,qBAAqB,CAAC,CACvC,SAAS,CAAE,IAAI,mBAAmB,CAAC,CACnC,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,IAAI,qBAAqB,CAAC,CACvC,WAAW,CAAE,IAAI,qBAAqB,CAAC,CACvC,OAAO,CAAE,IAAI,iBAAiB,CAAC,CAC/B,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,iBAAiB,CAAC,AACjC,CAAC,AAED,QAAQ,KAAK,cAAC,CAAC,AACb,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,MAAM,AACrB,CAAC,AAED,QAAQ,qBAAO,MAAM,CACrB,QAAQ,mBAAK,MAAM,CACnB,QAAQ,oBAAM,MAAM,CACpB,QAAQ,kBAAI,MAAM,AAAC,CAAC,AAClB,MAAM,CAAE,IAAI,oBAAoB,CAAC,CAAC,KAAK,CAAC,IAAI,0BAA0B,CAAC,CACvE,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,AACpB,CAAC,AAED,QAAQ,wBAAU,MAAM,AAAC,CAAC,AACxB,MAAM,CAAE,CAAC,CAAC,UAAU,AACtB,CAAC,AAEF,QAAQ,qBAAO,CACd,QAAQ,IAAI,cAAC,CAAC,AACZ,kBAAkB,CAAE,GAAG,CACvB,kBAAkB,CAAE,IAAI,AAC1B,CAAC,AAED,QAAQ,mBAAK,CACb,QAAQ,MAAM,cAAC,CAAC,AACd,kBAAkB,CAAE,IAAI,CACxB,kBAAkB,CAAE,GAAG,AACzB,CAAC,AAED,QAAQ,OAAO,cAAC,CAAC,AACf,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,GAAG,CACT,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,AACH,CAAC,AAED,QAAQ,qBAAO,MAAM,AAAC,CAAC,AACrB,YAAY,CAAE,WAAW,CAAC,WAAW,CAAC,IAAI,0BAA0B,CAAC,CACrE,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,CAAC,CACN,SAAS,CAAE,UAAU,IAAI,CAAC,CAAC,IAAI,CAAC,AAClC,CAAC,AAED,QAAQ,IAAI,cAAC,CAAC,AACZ,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,CAAC,CACN,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,AACH,CAAC,AAED,QAAQ,kBAAI,MAAM,AAAC,CAAC,AAClB,YAAY,CAAE,IAAI,0BAA0B,CAAC,CAAC,WAAW,CAAC,WAAW,CAAC,WAAW,CACjF,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,GAAG,CACT,SAAS,CAAE,UAAU,IAAI,CAAC,CAAC,GAAG,CAAC,AACjC,CAAC,AAED,QAAQ,KAAK,cAAC,CAAC,AACb,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,GAAG,CACR,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,AACH,CAAC,AAED,QAAQ,mBAAK,MAAM,AAAC,CAAC,AACnB,YAAY,CAAE,WAAW,CAAC,WAAW,CAAC,WAAW,CAAC,IAAI,0BAA0B,CAAC,CACjF,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,GAAG,CACR,SAAS,CAAE,UAAU,GAAG,CAAC,CAAC,IAAI,CAAC,AACjC,CAAC,AAED,QAAQ,MAAM,cAAC,CAAC,AACd,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,GAAG,CACR,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,AACH,CAAC,AAED,QAAQ,oBAAM,MAAM,AAAC,CAAC,AACpB,YAAY,CAAE,WAAW,CAAC,IAAI,0BAA0B,CAAC,CAAC,WAAW,CAAC,WAAW,CACjF,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,GAAG,CACR,SAAS,CAAE,UAAU,IAAI,CAAC,CAAC,IAAI,CAAC,AAClC,CAAC,AAQD,QAAQ,eAAe,cAAC,CAAC,AACvB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,AACvC,CAAC,AAED,QAAQ,eAAe,KAAK,cAAC,CAAC,AAC5B,OAAO,CAAE,CAAC,AACZ,CAAC,AAID,QAAQ,IAAI,gBAAgB,cAAC,CAAC,AAC5B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,AACjE,CAAC,AAED,QAAQ,IAAI,gBAAgB,KAAK,cAAC,CAAC,AACjC,UAAU,CAAE,CAAC,CACb,OAAO,CAAE,CAAC,AACZ,CAAC,AAED,QAAQ,OAAO,gBAAgB,cAAC,CAAC,AAC/B,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,AACjE,CAAC,AAED,QAAQ,OAAO,gBAAgB,KAAK,cAAC,CAAC,AACpC,aAAa,CAAE,CAAC,CAChB,OAAO,CAAE,CAAC,AACZ,CAAC,AAED,QAAQ,MAAM,gBAAgB,cAAC,CAAC,AAC9B,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,AACjE,CAAC,AAED,QAAQ,MAAM,gBAAgB,KAAK,cAAC,CAAC,AACnC,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,CAAC,AACZ,CAAC,AAED,QAAQ,KAAK,gBAAgB,cAAC,CAAC,AAC7B,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,AACjE,CAAC,AAED,QAAQ,KAAK,gBAAgB,KAAK,cAAC,CAAC,AAClC,WAAW,CAAE,CAAC,CACd,OAAO,CAAE,CAAC,AACZ,CAAC,AAID,QAAQ,KAAK,eAAe,cAAC,CAAC,AAC5B,MAAM,CAAE,KAAK,GAAG,CAAC,CACjB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,CACb,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,WAAW,AAC9F,CAAC,AAED,QAAQ,KAAK,eAAe,KAAK,cAAC,CAAC,AACjC,MAAM,CAAE,KAAK,CAAC,CAAC,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,MAAM,eAAe,cAAC,CAAC,AAC7B,MAAM,CAAE,KAAK,GAAG,CAAC,CACjB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,CACb,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,WAAW,AAC9F,CAAC,AAED,QAAQ,MAAM,eAAe,KAAK,cAAC,CAAC,AAClC,MAAM,CAAE,KAAK,CAAC,CAAC,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,IAAI,eAAe,cAAC,CAAC,AAC3B,MAAM,CAAE,KAAK,GAAG,CAAC,CACjB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,CACb,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,WAAW,AAC9F,CAAC,AAED,QAAQ,IAAI,eAAe,KAAK,cAAC,CAAC,AAChC,MAAM,CAAE,KAAK,CAAC,CAAC,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,OAAO,eAAe,cAAC,CAAC,AAC9B,MAAM,CAAE,KAAK,GAAG,CAAC,CACjB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,CACb,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,WAAW,AAC9F,CAAC,AAED,QAAQ,OAAO,eAAe,KAAK,cAAC,CAAC,AACnC,MAAM,CAAE,KAAK,CAAC,CAAC,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAID,QAAQ,KAAK,iBAAiB,cAAC,CAAC,AAC9B,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,GAAG,CAAC,CAAC,GAAG,CAAC,CACjB,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,aAAa,GAAG,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,AACtF,CAAC,AAED,QAAQ,KAAK,iBAAiB,KAAK,cAAC,CAAC,AACnC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,MAAM,iBAAiB,cAAC,CAAC,AAC/B,OAAO,CAAE,CAAC,CACV,SAAS,CAAE,UAAU,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC,CAAC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC,CAAC,MAAM,GAAG,CAAC,CAAC,GAAG,CAAC,CAChH,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,aAAa,GAAG,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,AACtF,CAAC,AAED,QAAQ,MAAM,iBAAiB,KAAK,cAAC,CAAC,AACpC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,IAAI,iBAAiB,cAAC,CAAC,AAC7B,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,CAAC,MAAM,GAAG,CAAC,CAAC,GAAG,CAAC,CACjB,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,aAAa,GAAG,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,AACtF,CAAC,AAED,QAAQ,IAAI,iBAAiB,KAAK,cAAC,CAAC,AAClC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,OAAO,iBAAiB,cAAC,CAAC,AAChC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,GAAG,CAAC,CAAC,GAAG,CAAC,CACjB,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,aAAa,GAAG,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,AACtF,CAAC,AAED,QAAQ,OAAO,iBAAiB,KAAK,cAAC,CAAC,AACrC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC\"}"
};
var Tooltip$1 = create_ssr_component(function ($$result, $$props, $$bindings, slots) {
  var isComponent;
  var _$$props$content = $$props.content,
      content = _$$props$content === void 0 ? '' : _$$props$content;
  var _$$props$align = $$props.align,
      align = _$$props$align === void 0 ? 'left' : _$$props$align;
  var _$$props$position = $$props.position,
      position = _$$props$position === void 0 ? 'top' : _$$props$position;
  var _$$props$maxWidth = $$props.maxWidth,
      maxWidth = _$$props$maxWidth === void 0 ? 200 : _$$props$maxWidth;
  var _$$props$style = $$props.style,
      style = _$$props$style === void 0 ? null : _$$props$style;
  var _$$props$theme = $$props.theme,
      theme = _$$props$theme === void 0 ? '' : _$$props$theme;
  var _$$props$animation = $$props.animation,
      animation = _$$props$animation === void 0 ? '' : _$$props$animation;
  var _$$props$arrow = $$props.arrow,
      arrow = _$$props$arrow === void 0 ? true : _$$props$arrow;
  var _$$props$autoPosition = $$props.autoPosition,
      autoPosition = _$$props$autoPosition === void 0 ? false : _$$props$autoPosition;
  var containerRef = null;
  var tooltipRef = null;
  var minWidth = 0;
  var animationEffect = null;

  onMount(function () {
  });
  onDestroy(function () {
  });
  if ($$props.content === void 0 && $$bindings.content && content !== void 0) $$bindings.content(content);
  if ($$props.align === void 0 && $$bindings.align && align !== void 0) $$bindings.align(align);
  if ($$props.position === void 0 && $$bindings.position && position !== void 0) $$bindings.position(position);
  if ($$props.maxWidth === void 0 && $$bindings.maxWidth && maxWidth !== void 0) $$bindings.maxWidth(maxWidth);
  if ($$props.style === void 0 && $$bindings.style && style !== void 0) $$bindings.style(style);
  if ($$props.theme === void 0 && $$bindings.theme && theme !== void 0) $$bindings.theme(theme);
  if ($$props.animation === void 0 && $$bindings.animation && animation !== void 0) $$bindings.animation(animation);
  if ($$props.arrow === void 0 && $$bindings.arrow && arrow !== void 0) $$bindings.arrow(arrow);
  if ($$props.autoPosition === void 0 && $$bindings.autoPosition && autoPosition !== void 0) $$bindings.autoPosition(autoPosition);
  $$result.css.add(css$1);
  isComponent = _typeof(content) === 'object';
  return "".concat(content ? "<span class=\"".concat("tooltip-container svelte-fhw54d", "\"", add_attribute("this", containerRef, 0), ">").concat(slots["default"] ? slots["default"]({}) : "", "\n      <div class=\"").concat(["tooltip animation-" + escape(animationEffect, true) + " " + escape(position, true) + " " + escape(theme, true) + " svelte-fhw54d", (!arrow ? "arrowless" : "") + ' ' + ("")].join(' ').trim(), "\" style=\"").concat("min-width: " + escape(minWidth, true) + "px; max-width: " + escape(maxWidth, true) + "px; text-align: " + escape(align, true) + ";", "\"").concat(add_attribute("this", tooltipRef, 0), ">").concat(!isComponent ? "".concat(content) : "", "</div></span>") : "".concat(slots["default"] ? slots["default"]({}) : ""));
});
var Tooltip$2 = Tooltip$1;

var css = {
  code: ":root{--tooltip-background-color:rgba(0, 0, 0, 0.9);--tooltip-border-radius:4px;--tooltip-box-shadow:0 1px 20px rgba(0, 0, 0, 0.25);--tooltip-font-family:-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell,\n      'Helvetica Neue', sans-serif;--tooltip-font-size:14px;--tooltip-font-weight:500;--tooltip-line-height:1.25rem;--tooltip-color:#fff;--tooltip-offset-x:12px;--tooltip-offset-y:12px;--tooltip-padding:12px;--tooltip-z-index:100;--tooltip-arrow-size:10px}.tooltip.svelte-1gb9ply{background-color:var(--tooltip-background-color);box-shadow:var(--tooltip-box-shadow);border-radius:var(--tooltip-border-radius);color:var(--tooltip-color);opacity:0;font-family:var(--tooltip-font-family);font-size:var(--tooltip-font-size);font-style:normal;font-weight:var(--tooltip-font-weight);line-height:var(--tooltip-line-height);padding:var(--tooltip-padding);position:absolute;text-align:left;visibility:hidden;white-space:nowrap;z-index:var(--tooltip-z-index)}.tooltip.show.svelte-1gb9ply{opacity:1;visibility:visible;white-space:normal}.tooltip.bottom.svelte-1gb9ply:after,.tooltip.left.svelte-1gb9ply:after,.tooltip.right.svelte-1gb9ply:after,.tooltip.top.svelte-1gb9ply:after{border:var(--tooltip-arrow-size) solid var(--tooltip-background-color);content:' ';position:absolute}.tooltip.arrowless.svelte-1gb9ply:after{border:0 !important}.tooltip.bottom.svelte-1gb9ply,.tooltip.top.svelte-1gb9ply{--tooltip-offset-x:0px;--tooltip-offset-y:12px}.tooltip.left.svelte-1gb9ply,.tooltip.right.svelte-1gb9ply{--tooltip-offset-x:12px;--tooltip-offset-y:0px}.tooltip.bottom.svelte-1gb9ply{bottom:0;left:50%;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    )}.tooltip.bottom.svelte-1gb9ply:after{border-color:transparent transparent var(--tooltip-background-color);left:50%;top:0;transform:translate(-50%, -99%)}.tooltip.top.svelte-1gb9ply{left:50%;top:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    )}.tooltip.top.svelte-1gb9ply:after{border-color:var(--tooltip-background-color) transparent transparent transparent;bottom:0;left:50%;transform:translate(-50%, 99%)}.tooltip.left.svelte-1gb9ply{left:0;top:50%;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    )}.tooltip.left.svelte-1gb9ply:after{border-color:transparent transparent transparent var(--tooltip-background-color);right:0;top:50%;transform:translate(99%, -50%)}.tooltip.right.svelte-1gb9ply{right:0;top:50%;transform:translate(\n      calc(100% + var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    )}.tooltip.right.svelte-1gb9ply:after{border-color:transparent var(--tooltip-background-color) transparent transparent;left:0;top:50%;transform:translate(-99%, -50%)}.tooltip.animation-fade.svelte-1gb9ply{opacity:0;transition:opacity 0.25s ease-in-out}.tooltip.animation-fade.show.svelte-1gb9ply{opacity:1}.tooltip.top.animation-slide.svelte-1gb9ply{margin-top:10px;opacity:0;transition:opacity 0.25s ease-in-out, margin 0.25s ease-in-out}.tooltip.top.animation-slide.show.svelte-1gb9ply{margin-top:0;opacity:1}.tooltip.bottom.animation-slide.svelte-1gb9ply{margin-bottom:20px;opacity:0;transition:opacity 0.25s ease-in-out, margin 0.25s ease-in-out}.tooltip.bottom.animation-slide.show.svelte-1gb9ply{margin-bottom:0;opacity:1}.tooltip.right.animation-slide.svelte-1gb9ply{margin-right:20px;opacity:0;transition:opacity 0.25s ease-in-out, margin 0.25s ease-in-out}.tooltip.right.animation-slide.show.svelte-1gb9ply{margin-right:0;opacity:1}.tooltip.left.animation-slide.svelte-1gb9ply{margin-left:20px;opacity:0;transition:opacity 0.25s ease-in-out, margin 0.25s ease-in-out}.tooltip.left.animation-slide.show.svelte-1gb9ply{margin-left:0;opacity:1}.tooltip.left.animation-puff.svelte-1gb9ply{filter:blur(2px);opacity:0;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    ) scale(2, 2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out}.tooltip.left.animation-puff.show.svelte-1gb9ply{filter:blur(0);opacity:1;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.right.animation-puff.svelte-1gb9ply{filter:blur(2px);opacity:0;transform:translate(\n      calc(100% + var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    ) scale(2, 2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out}.tooltip.right.animation-puff.show.svelte-1gb9ply{filter:blur(0);opacity:1;transform:translate(\n      calc(100% + var(--tooltip-offset-x)),\n      calc(-50% - var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.top.animation-puff.svelte-1gb9ply{filter:blur(2px);opacity:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    ) scale(2, 2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out}.tooltip.top.animation-puff.show.svelte-1gb9ply{filter:blur(0);opacity:1;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.bottom.animation-puff.svelte-1gb9ply{filter:blur(2px);opacity:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    ) scale(2, 2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out}.tooltip.bottom.animation-puff.show.svelte-1gb9ply{filter:blur(0);opacity:1;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.left.animation-bounce.svelte-1gb9ply{opacity:0;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% + var(--tooltip-offset-y))\n    ) scale(1.2, 1.2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3)}.tooltip.left.animation-bounce.show.svelte-1gb9ply{opacity:1;transform:translate(\n      calc(-100% - var(--tooltip-offset-x)),\n      calc(-50% + var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.right.animation-bounce.svelte-1gb9ply{opacity:0;transform:translate(calc(100% + var(--tooltip-offset-x)), calc(-50% + var(--tooltip-offset-y))) scale(1.2, 1.2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3)}.tooltip.right.animation-bounce.show.svelte-1gb9ply{opacity:1;transform:translate(\n      calc(100% + var(--tooltip-offset-x)),\n      calc(-50% + var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.top.animation-bounce.svelte-1gb9ply{opacity:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    ) scale(1.2, 1.2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3)}.tooltip.top.animation-bounce.show.svelte-1gb9ply{opacity:1;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(-100% - var(--tooltip-offset-y))\n    ) scale(1, 1)}.tooltip.bottom.animation-bounce.svelte-1gb9ply{opacity:0;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    ) scale(1.2, 1.2);transform-origin:50% 50%;transition:opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3)}.tooltip.bottom.animation-bounce.show.svelte-1gb9ply{opacity:1;transform:translate(\n      calc(-50% + var(--tooltip-offset-x)),\n      calc(100% + var(--tooltip-offset-y))\n    ) scale(1, 1)}",
  map: "{\"version\":3,\"file\":\"action-tooltip.svelte\",\"sources\":[\"action-tooltip.svelte\"],\"sourcesContent\":[\"<script>\\n  import { onMount, onDestroy } from 'svelte';\\n  import { formatVariableKey, getMinWidth, isInViewport } from './helpers';\\n  import { inverse } from './constants';\\n\\n  export let content = '';\\n  export let align = 'left';\\n  export let position = 'top';\\n  export let maxWidth = 200;\\n  export let style = null;\\n  export let theme = '';\\n  export let animation = '';\\n  export let arrow = true;\\n  export let autoPosition = false;\\n\\n  let ref = null;\\n  let minWidth = 0;\\n  let component = null;\\n  let animationEffect = null;\\n  let show = false;\\n\\n  onMount(() => {\\n    const delay = animation ? 200 : 0;\\n\\n    if (ref !== null) {\\n      if (isComponent && !component) {\\n        component = new content.component({ target: ref, props: content.props });\\n      }\\n\\n      minWidth = getMinWidth(ref, maxWidth);\\n\\n      if (style && typeof style === 'object') {\\n        for (let prop in style) {\\n          const key = formatVariableKey(prop);\\n          const value = style[prop];\\n\\n          ref.style.setProperty(`--tooltip-${key}`, value);\\n        }\\n      }\\n    }\\n\\n    if (autoPosition && !isInViewport(ref)) {\\n      position = inverse[position];\\n    }\\n\\n    if (animation) {\\n      animationEffect = animation;\\n    }\\n\\n    setTimeout(() => (show = true), delay);\\n  });\\n\\n  onDestroy(() => {\\n    if (component) {\\n      component.$destroy();\\n      component = null;\\n    }\\n  });\\n\\n  $: isComponent = typeof content === 'object';\\n</script>\\n\\n<div\\n  bind:this={ref}\\n  class=\\\"tooltip animation-{animationEffect} {position} {theme}\\\"\\n  class:show\\n  class:arrowless={!arrow}\\n  style=\\\"min-width: {minWidth}px; max-width: {maxWidth}px; text-align: {align};\\\"\\n>\\n  {#if !isComponent}\\n    {@html content}\\n  {/if}\\n</div>\\n\\n<style>\\n  /*--------------------------*\\n   * Theme Variables\\n   *--------------------------*/\\n\\n  :root {\\n    --tooltip-background-color: rgba(0, 0, 0, 0.9);\\n    --tooltip-border-radius: 4px;\\n    --tooltip-box-shadow: 0 1px 20px rgba(0, 0, 0, 0.25);\\n    --tooltip-font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell,\\n      'Helvetica Neue', sans-serif;\\n    --tooltip-font-size: 14px;\\n    --tooltip-font-weight: 500;\\n    --tooltip-line-height: 1.25rem;\\n    --tooltip-color: #fff;\\n    --tooltip-offset-x: 12px;\\n    --tooltip-offset-y: 12px;\\n    --tooltip-padding: 12px;\\n    --tooltip-z-index: 100;\\n    --tooltip-arrow-size: 10px;\\n  }\\n\\n  /*--------------------------*\\n   * Tooltip Styling\\n   *--------------------------*/\\n\\n  .tooltip {\\n    background-color: var(--tooltip-background-color);\\n    box-shadow: var(--tooltip-box-shadow);\\n    border-radius: var(--tooltip-border-radius);\\n    color: var(--tooltip-color);\\n    opacity: 0;\\n    font-family: var(--tooltip-font-family);\\n    font-size: var(--tooltip-font-size);\\n    font-style: normal;\\n    font-weight: var(--tooltip-font-weight);\\n    line-height: var(--tooltip-line-height);\\n    padding: var(--tooltip-padding);\\n    position: absolute;\\n    text-align: left;\\n    visibility: hidden;\\n    white-space: nowrap;\\n    z-index: var(--tooltip-z-index);\\n  }\\n\\n  .tooltip.show {\\n    opacity: 1;\\n    visibility: visible;\\n    white-space: normal;\\n  }\\n\\n  .tooltip.bottom:after,\\n  .tooltip.left:after,\\n  .tooltip.right:after,\\n  .tooltip.top:after {\\n    border: var(--tooltip-arrow-size) solid var(--tooltip-background-color);\\n    content: ' ';\\n    position: absolute;\\n  }\\n\\n  .tooltip.arrowless:after {\\n    border: 0 !important;\\n  }\\n\\n  .tooltip.bottom,\\n  .tooltip.top {\\n    --tooltip-offset-x: 0px;\\n    --tooltip-offset-y: 12px;\\n  }\\n\\n  .tooltip.left,\\n  .tooltip.right {\\n    --tooltip-offset-x: 12px;\\n    --tooltip-offset-y: 0px;\\n  }\\n\\n  .tooltip.bottom {\\n    bottom: 0;\\n    left: 50%;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    );\\n  }\\n\\n  .tooltip.bottom:after {\\n    border-color: transparent transparent var(--tooltip-background-color);\\n    left: 50%;\\n    top: 0;\\n    transform: translate(-50%, -99%);\\n  }\\n\\n  .tooltip.top {\\n    left: 50%;\\n    top: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    );\\n  }\\n\\n  .tooltip.top:after {\\n    border-color: var(--tooltip-background-color) transparent transparent transparent;\\n    bottom: 0;\\n    left: 50%;\\n    transform: translate(-50%, 99%);\\n  }\\n\\n  .tooltip.left {\\n    left: 0;\\n    top: 50%;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    );\\n  }\\n\\n  .tooltip.left:after {\\n    border-color: transparent transparent transparent var(--tooltip-background-color);\\n    right: 0;\\n    top: 50%;\\n    transform: translate(99%, -50%);\\n  }\\n\\n  .tooltip.right {\\n    right: 0;\\n    top: 50%;\\n    transform: translate(\\n      calc(100% + var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    );\\n  }\\n\\n  .tooltip.right:after {\\n    border-color: transparent var(--tooltip-background-color) transparent transparent;\\n    left: 0;\\n    top: 50%;\\n    transform: translate(-99%, -50%);\\n  }\\n\\n  /*--------------------------*\\n   * CSS Animations\\n   *--------------------------*/\\n\\n  /* Fade */\\n\\n  .tooltip.animation-fade {\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.animation-fade.show {\\n    opacity: 1;\\n  }\\n\\n  /* Slide */\\n\\n  .tooltip.top.animation-slide {\\n    margin-top: 10px;\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out, margin 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.top.animation-slide.show {\\n    margin-top: 0;\\n    opacity: 1;\\n  }\\n\\n  .tooltip.bottom.animation-slide {\\n    margin-bottom: 20px;\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out, margin 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.bottom.animation-slide.show {\\n    margin-bottom: 0;\\n    opacity: 1;\\n  }\\n\\n  .tooltip.right.animation-slide {\\n    margin-right: 20px;\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out, margin 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.right.animation-slide.show {\\n    margin-right: 0;\\n    opacity: 1;\\n  }\\n\\n  .tooltip.left.animation-slide {\\n    margin-left: 20px;\\n    opacity: 0;\\n    transition: opacity 0.25s ease-in-out, margin 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.left.animation-slide.show {\\n    margin-left: 0;\\n    opacity: 1;\\n  }\\n\\n  /* Puff */\\n\\n  .tooltip.left.animation-puff {\\n    filter: blur(2px);\\n    opacity: 0;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    ) scale(2, 2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.left.animation-puff.show {\\n    filter: blur(0);\\n    opacity: 1;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.right.animation-puff {\\n    filter: blur(2px);\\n    opacity: 0;\\n    transform: translate(\\n      calc(100% + var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    ) scale(2, 2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.right.animation-puff.show {\\n    filter: blur(0);\\n    opacity: 1;\\n    transform: translate(\\n      calc(100% + var(--tooltip-offset-x)),\\n      calc(-50% - var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.top.animation-puff {\\n    filter: blur(2px);\\n    opacity: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    ) scale(2, 2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.top.animation-puff.show {\\n    filter: blur(0);\\n    opacity: 1;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.bottom.animation-puff {\\n    filter: blur(2px);\\n    opacity: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    ) scale(2, 2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, filter 0.25s ease-in-out, transform 0.25s ease-in-out;\\n  }\\n\\n  .tooltip.bottom.animation-puff.show {\\n    filter: blur(0);\\n    opacity: 1;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  /* Bounce */\\n\\n  .tooltip.left.animation-bounce {\\n    opacity: 0;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% + var(--tooltip-offset-y))\\n    ) scale(1.2, 1.2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3);\\n  }\\n\\n  .tooltip.left.animation-bounce.show {\\n    opacity: 1;\\n    transform: translate(\\n      calc(-100% - var(--tooltip-offset-x)),\\n      calc(-50% + var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.right.animation-bounce {\\n    opacity: 0;\\n    transform: translate(calc(100% + var(--tooltip-offset-x)), calc(-50% + var(--tooltip-offset-y))) scale(1.2, 1.2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3);\\n  }\\n\\n  .tooltip.right.animation-bounce.show {\\n    opacity: 1;\\n    transform: translate(\\n      calc(100% + var(--tooltip-offset-x)),\\n      calc(-50% + var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.top.animation-bounce {\\n    opacity: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    ) scale(1.2, 1.2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3);\\n  }\\n\\n  .tooltip.top.animation-bounce.show {\\n    opacity: 1;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(-100% - var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n\\n  .tooltip.bottom.animation-bounce {\\n    opacity: 0;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    ) scale(1.2, 1.2);\\n    transform-origin: 50% 50%;\\n    transition: opacity 0.25s ease-in-out, transform 0.25s cubic-bezier(0.5, -1, 0.5, 3);\\n  }\\n\\n  .tooltip.bottom.animation-bounce.show {\\n    opacity: 1;\\n    transform: translate(\\n      calc(-50% + var(--tooltip-offset-x)),\\n      calc(100% + var(--tooltip-offset-y))\\n    ) scale(1, 1);\\n  }\\n</style>\\n\"],\"names\":[],\"mappings\":\"AA+EE,KAAK,AAAC,CAAC,AACL,0BAA0B,CAAE,kBAAkB,CAC9C,uBAAuB,CAAE,GAAG,CAC5B,oBAAoB,CAAE,8BAA8B,CACpD,qBAAqB,CAAE;kCACO,CAC9B,mBAAmB,CAAE,IAAI,CACzB,qBAAqB,CAAE,GAAG,CAC1B,qBAAqB,CAAE,OAAO,CAC9B,eAAe,CAAE,IAAI,CACrB,kBAAkB,CAAE,IAAI,CACxB,kBAAkB,CAAE,IAAI,CACxB,iBAAiB,CAAE,IAAI,CACvB,iBAAiB,CAAE,GAAG,CACtB,oBAAoB,CAAE,IAAI,AAC5B,CAAC,AAMD,QAAQ,eAAC,CAAC,AACR,gBAAgB,CAAE,IAAI,0BAA0B,CAAC,CACjD,UAAU,CAAE,IAAI,oBAAoB,CAAC,CACrC,aAAa,CAAE,IAAI,uBAAuB,CAAC,CAC3C,KAAK,CAAE,IAAI,eAAe,CAAC,CAC3B,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,IAAI,qBAAqB,CAAC,CACvC,SAAS,CAAE,IAAI,mBAAmB,CAAC,CACnC,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,IAAI,qBAAqB,CAAC,CACvC,WAAW,CAAE,IAAI,qBAAqB,CAAC,CACvC,OAAO,CAAE,IAAI,iBAAiB,CAAC,CAC/B,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,iBAAiB,CAAC,AACjC,CAAC,AAED,QAAQ,KAAK,eAAC,CAAC,AACb,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,MAAM,AACrB,CAAC,AAED,QAAQ,sBAAO,MAAM,CACrB,QAAQ,oBAAK,MAAM,CACnB,QAAQ,qBAAM,MAAM,CACpB,QAAQ,mBAAI,MAAM,AAAC,CAAC,AAClB,MAAM,CAAE,IAAI,oBAAoB,CAAC,CAAC,KAAK,CAAC,IAAI,0BAA0B,CAAC,CACvE,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,AACpB,CAAC,AAED,QAAQ,yBAAU,MAAM,AAAC,CAAC,AACxB,MAAM,CAAE,CAAC,CAAC,UAAU,AACtB,CAAC,AAED,QAAQ,sBAAO,CACf,QAAQ,IAAI,eAAC,CAAC,AACZ,kBAAkB,CAAE,GAAG,CACvB,kBAAkB,CAAE,IAAI,AAC1B,CAAC,AAED,QAAQ,oBAAK,CACb,QAAQ,MAAM,eAAC,CAAC,AACd,kBAAkB,CAAE,IAAI,CACxB,kBAAkB,CAAE,GAAG,AACzB,CAAC,AAED,QAAQ,OAAO,eAAC,CAAC,AACf,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,GAAG,CACT,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,AACH,CAAC,AAED,QAAQ,sBAAO,MAAM,AAAC,CAAC,AACrB,YAAY,CAAE,WAAW,CAAC,WAAW,CAAC,IAAI,0BAA0B,CAAC,CACrE,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,CAAC,CACN,SAAS,CAAE,UAAU,IAAI,CAAC,CAAC,IAAI,CAAC,AAClC,CAAC,AAED,QAAQ,IAAI,eAAC,CAAC,AACZ,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,CAAC,CACN,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,AACH,CAAC,AAED,QAAQ,mBAAI,MAAM,AAAC,CAAC,AAClB,YAAY,CAAE,IAAI,0BAA0B,CAAC,CAAC,WAAW,CAAC,WAAW,CAAC,WAAW,CACjF,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,GAAG,CACT,SAAS,CAAE,UAAU,IAAI,CAAC,CAAC,GAAG,CAAC,AACjC,CAAC,AAED,QAAQ,KAAK,eAAC,CAAC,AACb,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,GAAG,CACR,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,AACH,CAAC,AAED,QAAQ,oBAAK,MAAM,AAAC,CAAC,AACnB,YAAY,CAAE,WAAW,CAAC,WAAW,CAAC,WAAW,CAAC,IAAI,0BAA0B,CAAC,CACjF,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,GAAG,CACR,SAAS,CAAE,UAAU,GAAG,CAAC,CAAC,IAAI,CAAC,AACjC,CAAC,AAED,QAAQ,MAAM,eAAC,CAAC,AACd,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,GAAG,CACR,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,AACH,CAAC,AAED,QAAQ,qBAAM,MAAM,AAAC,CAAC,AACpB,YAAY,CAAE,WAAW,CAAC,IAAI,0BAA0B,CAAC,CAAC,WAAW,CAAC,WAAW,CACjF,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,GAAG,CACR,SAAS,CAAE,UAAU,IAAI,CAAC,CAAC,IAAI,CAAC,AAClC,CAAC,AAQD,QAAQ,eAAe,eAAC,CAAC,AACvB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,AACvC,CAAC,AAED,QAAQ,eAAe,KAAK,eAAC,CAAC,AAC5B,OAAO,CAAE,CAAC,AACZ,CAAC,AAID,QAAQ,IAAI,gBAAgB,eAAC,CAAC,AAC5B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,AACjE,CAAC,AAED,QAAQ,IAAI,gBAAgB,KAAK,eAAC,CAAC,AACjC,UAAU,CAAE,CAAC,CACb,OAAO,CAAE,CAAC,AACZ,CAAC,AAED,QAAQ,OAAO,gBAAgB,eAAC,CAAC,AAC/B,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,AACjE,CAAC,AAED,QAAQ,OAAO,gBAAgB,KAAK,eAAC,CAAC,AACpC,aAAa,CAAE,CAAC,CAChB,OAAO,CAAE,CAAC,AACZ,CAAC,AAED,QAAQ,MAAM,gBAAgB,eAAC,CAAC,AAC9B,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,AACjE,CAAC,AAED,QAAQ,MAAM,gBAAgB,KAAK,eAAC,CAAC,AACnC,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,CAAC,AACZ,CAAC,AAED,QAAQ,KAAK,gBAAgB,eAAC,CAAC,AAC7B,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,AACjE,CAAC,AAED,QAAQ,KAAK,gBAAgB,KAAK,eAAC,CAAC,AAClC,WAAW,CAAE,CAAC,CACd,OAAO,CAAE,CAAC,AACZ,CAAC,AAID,QAAQ,KAAK,eAAe,eAAC,CAAC,AAC5B,MAAM,CAAE,KAAK,GAAG,CAAC,CACjB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,CACb,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,WAAW,AAC9F,CAAC,AAED,QAAQ,KAAK,eAAe,KAAK,eAAC,CAAC,AACjC,MAAM,CAAE,KAAK,CAAC,CAAC,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,MAAM,eAAe,eAAC,CAAC,AAC7B,MAAM,CAAE,KAAK,GAAG,CAAC,CACjB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,CACb,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,WAAW,AAC9F,CAAC,AAED,QAAQ,MAAM,eAAe,KAAK,eAAC,CAAC,AAClC,MAAM,CAAE,KAAK,CAAC,CAAC,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,IAAI,eAAe,eAAC,CAAC,AAC3B,MAAM,CAAE,KAAK,GAAG,CAAC,CACjB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,CACb,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,WAAW,AAC9F,CAAC,AAED,QAAQ,IAAI,eAAe,KAAK,eAAC,CAAC,AAChC,MAAM,CAAE,KAAK,CAAC,CAAC,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,OAAO,eAAe,eAAC,CAAC,AAC9B,MAAM,CAAE,KAAK,GAAG,CAAC,CACjB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,CACb,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,MAAM,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,WAAW,AAC9F,CAAC,AAED,QAAQ,OAAO,eAAe,KAAK,eAAC,CAAC,AACnC,MAAM,CAAE,KAAK,CAAC,CAAC,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAID,QAAQ,KAAK,iBAAiB,eAAC,CAAC,AAC9B,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,GAAG,CAAC,CAAC,GAAG,CAAC,CACjB,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,aAAa,GAAG,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,AACtF,CAAC,AAED,QAAQ,KAAK,iBAAiB,KAAK,eAAC,CAAC,AACnC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACtC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,MAAM,iBAAiB,eAAC,CAAC,AAC/B,OAAO,CAAE,CAAC,CACV,SAAS,CAAE,UAAU,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC,CAAC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC,CAAC,MAAM,GAAG,CAAC,CAAC,GAAG,CAAC,CAChH,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,aAAa,GAAG,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,AACtF,CAAC,AAED,QAAQ,MAAM,iBAAiB,KAAK,eAAC,CAAC,AACpC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,IAAI,iBAAiB,eAAC,CAAC,AAC7B,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,CAAC,MAAM,GAAG,CAAC,CAAC,GAAG,CAAC,CACjB,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,aAAa,GAAG,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,AACtF,CAAC,AAED,QAAQ,IAAI,iBAAiB,KAAK,eAAC,CAAC,AAClC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,KAAK,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACtC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC,AAED,QAAQ,OAAO,iBAAiB,eAAC,CAAC,AAChC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,GAAG,CAAC,CAAC,GAAG,CAAC,CACjB,gBAAgB,CAAE,GAAG,CAAC,GAAG,CACzB,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,WAAW,CAAC,CAAC,SAAS,CAAC,KAAK,CAAC,aAAa,GAAG,CAAC,CAAC,EAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,AACtF,CAAC,AAED,QAAQ,OAAO,iBAAiB,KAAK,eAAC,CAAC,AACrC,OAAO,CAAE,CAAC,CACV,SAAS,CAAE;MACT,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC,CAAC;MACrC,KAAK,IAAI,CAAC,CAAC,CAAC,IAAI,kBAAkB,CAAC,CAAC;KACrC,CAAC,MAAM,CAAC,CAAC,CAAC,CAAC,CAAC,AACf,CAAC\"}"
};
var Action_tooltip = create_ssr_component(function ($$result, $$props, $$bindings, slots) {
  var isComponent;
  var _$$props$content = $$props.content,
      content = _$$props$content === void 0 ? '' : _$$props$content;
  var _$$props$align = $$props.align,
      align = _$$props$align === void 0 ? 'left' : _$$props$align;
  var _$$props$position = $$props.position,
      position = _$$props$position === void 0 ? 'top' : _$$props$position;
  var _$$props$maxWidth = $$props.maxWidth,
      maxWidth = _$$props$maxWidth === void 0 ? 200 : _$$props$maxWidth;
  var _$$props$style = $$props.style,
      style = _$$props$style === void 0 ? null : _$$props$style;
  var _$$props$theme = $$props.theme,
      theme = _$$props$theme === void 0 ? '' : _$$props$theme;
  var _$$props$animation = $$props.animation,
      animation = _$$props$animation === void 0 ? '' : _$$props$animation;
  var _$$props$arrow = $$props.arrow,
      arrow = _$$props$arrow === void 0 ? true : _$$props$arrow;
  var _$$props$autoPosition = $$props.autoPosition,
      autoPosition = _$$props$autoPosition === void 0 ? false : _$$props$autoPosition;
  var ref = null;
  var minWidth = 0;
  var animationEffect = null;
  var show = false;
  onMount(function () {
    var delay = animation ? 200 : 0;

    if (autoPosition && !isInViewport(ref)) {
      position = inverse[position];
    }

    if (animation) {
      animationEffect = animation;
    }

    setTimeout(function () {
      return show = true;
    }, delay);
  });
  onDestroy(function () {
  });
  if ($$props.content === void 0 && $$bindings.content && content !== void 0) $$bindings.content(content);
  if ($$props.align === void 0 && $$bindings.align && align !== void 0) $$bindings.align(align);
  if ($$props.position === void 0 && $$bindings.position && position !== void 0) $$bindings.position(position);
  if ($$props.maxWidth === void 0 && $$bindings.maxWidth && maxWidth !== void 0) $$bindings.maxWidth(maxWidth);
  if ($$props.style === void 0 && $$bindings.style && style !== void 0) $$bindings.style(style);
  if ($$props.theme === void 0 && $$bindings.theme && theme !== void 0) $$bindings.theme(theme);
  if ($$props.animation === void 0 && $$bindings.animation && animation !== void 0) $$bindings.animation(animation);
  if ($$props.arrow === void 0 && $$bindings.arrow && arrow !== void 0) $$bindings.arrow(arrow);
  if ($$props.autoPosition === void 0 && $$bindings.autoPosition && autoPosition !== void 0) $$bindings.autoPosition(autoPosition);
  $$result.css.add(css);
  isComponent = _typeof(content) === 'object';
  return "<div class=\"".concat(["tooltip animation-" + escape(animationEffect, true) + " " + escape(position, true) + " " + escape(theme, true) + " svelte-1gb9ply", (show ? "show" : "") + ' ' + (!arrow ? "arrowless" : "")].join(' ').trim(), "\" style=\"").concat("min-width: " + escape(minWidth, true) + "px; max-width: " + escape(maxWidth, true) + "px; text-align: " + escape(align, true) + ";", "\"").concat(add_attribute("this", ref, 0), ">").concat(!isComponent ? "".concat(content) : "", "\n</div>");
});
var Tooltip = Action_tooltip;

var tooltip = function tooltip(element, props) {
  var component = null;
  var title = element.getAttribute('title');

  if (title) {
    element.removeAttribute('title');
    props = _objectSpread2({
      content: title
    }, props);
  }

  var onMouseEnter = function onMouseEnter() {
    if (!component) {
      component = new Tooltip({
        target: element,
        props: props
      });
    }
  };

  var onMouseLeave = function onMouseLeave() {
    if (component) {
      component.$destroy();
      component = null;
    }
  };

  element.addEventListener('mouseenter', onMouseEnter);
  element.addEventListener('mouseleave', onMouseLeave);
  element.style.position = 'relative';
  return {
    destroy: function destroy() {
      element.removeEventListener('mouseenter', onMouseEnter);
      element.removeEventListener('mouseleave', onMouseLeave);

      if (title) {
        element.setAttribute('title', title);
      }
    }
  };
};

export { Tooltip$2 as Tooltip, tooltip };
